from gpiozero import PWMLED
import time

# PWMLED-Instanzen für jede LED
led_rot = PWMLED(24)
led_gruen = PWMLED(23)

# Diese Funktion generiert die eigentliche Farbe
# Mittels der jeweiligen Farbvariable kann die Farbintensität geändert werden
# Nachdem die Farbe eingestellt wurde, wird mittels "time.sleep" die Zeit definiert,
# wie lang die besagte Farbe angezeigt werden soll
def led_farbe(rot, gruen, pause):
    led_rot.value = rot
    led_gruen.value = gruen
    time.sleep(pause)

    # LEDs ausschalten nach der Pause
    led_rot.value = 0
    led_gruen.value = 0

print("LED-Test [drücken Sie STRG+C, um den Test zu beenden]")

# Hauptprogrammschleife:
# Diese hat die Aufgabe für jede einzelne Farbe eine eigene Variable zu erstellen
# und mittels einer For-Schleife die Farbintensität jeder einzelnen Farbe von 0-100% zu durchlaufen
# Durch die Mischungen der verschiedenen Helligkeitsstufen der jeweiligen Farben
# entsteht somit ein Farbverlauf
try:
    while True:
        for x in range(0, 2):
            for y in range(0, 2):
                print(x, y)
                for i in range(0, 101):
                    # Skalieren der Intensitätswerte von 0 bis 1 für PWMLED
                    led_farbe(x * i / 100, y * i / 100, 0.02)

# Aufraeumarbeiten nachdem das Programm beendet wurde
except KeyboardInterrupt:
    print("Programm wurde durch den Benutzer beendet")